ContactEvents

List contact events (Preview)

Preview · Available to selected organizations. Returns custom and Samva lifecycle events, newest occurrence first, within the 90-day retention window. Pass nextCursor back as cursor for the next page.

GET
/v1/contacts/{id}/events

Returns custom and Samva lifecycle events, newest occurrence first, within the 90-day retention window. Pass nextCursor back as cursor for the next page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?string|null
cursor?Cursor|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/contacts/string/events"
{  "items": [    {      "id": "string",      "contactId": "string",      "name": "string",      "source": "api",      "properties": {        "property1": "string",        "property2": "string"      },      "occurredAt": "string",      "recordedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation